#include <stdlib.h>
#include "list.h"

int main (int argc, char **argv) {
    int i;
    int ret;
    List *nlist = NULL;
    char *data;
    
    nlist = List_new (5);
    if (nlist== NULL) {
        fprintf (stderr, "Not enough memory\n");
        exit (1);
    }
  
    for (i=1; i<argc; i++) {
        fprintf (stdout, "Puting %s (size: %d) : ",argv[i],nlist->size);
        ret=List_put (nlist,(void *)argv[i]);	
	if (ret<0) 
            fprintf (stdout, "Error on putting element %s\n",argv[i]);	
	else
	    fprintf (stdout, "OK\n");			
    }
    
    do {
        data = (char *) List_next (nlist);
        if (data!=NULL) 
	    fprintf (stdout, "Element %s (size: %d)\n",data,nlist->size);	
    } while (data != NULL);

    return 0;
}

