#ifndef MSG_H
#define MSG_H

/* #include <string.h> */
#include "awstring.h"

#ifdef MESSAGE_SIZE
#define MAX	MESSAGE_SIZE
#else
#define MAX	1024
#endif

#define MSGMAX	5

#ifndef FALSE
#define FALSE	0
#endif

struct Msg {						/* shared message structure */
	AwStringElement s[MAX+1];
};

extern void msgcpy (struct Msg *dst, struct Msg *src);   	/* copies one message to another */
extern int msglen (struct Msg *msg);                    	/* returns the message length */
extern int msgset (struct Msg *dst, char *src);         	/* sets the message dst content */
extern void msgclean (struct Msg *msg, char c);         	/* clean up a message with the char c */
extern int msgget (struct Msg *msg, char *dst, int len);	/* copies the message content to the array */
extern AwString msgtoString (struct Msg *msg);           	/* creates a new string with the msg content */


#endif
